Subject: Using Pine with Sendmail's userdb option

From: [email-masked] (Jerry Lynch)
Date: 10 Jul 1995 11:13:06 -0400

Is it possible to successfully use pine with unix sendmail's userdb 
option?  Specifically, I'm using sendmail 8.6.12.1 compiled with 
Berkeley's USERDB option.  The following is a brief desciption from the 
sendmail FAQ:

----------------------------------------------------------------------
  * How do I rewrite my From: lines to read [email-masked]''?

        There are a couple of ways of doing this.  This describes using
        the "user database" code.  This is still experimental, and was
        intended for a different purpose -- however, it does work
        with a bit of care.  It does require that you have the Berkeley
        "db" package installed (it won't work with DBM).

        First, create your input file.  This should have lines like:

                loginname:mailname      First_Last
                First_Last:maildrop     loginname

        Install it in (say) /etc/userdb.
----------------------------------------------------------------------

I can use this feature successfully using ELM, Mail 5.5, and by using
sendmail directly.  By that I mean my "From:" address is changed in all my
outgoing mail based on the above rule from "loginname" to "First_Last". 
Yet when I use pine, this does not happen.  Does anyone know what I need
to do to get this to work. 

Thanks.

		Jerry